diff --git a/web/pgadmin/static/js/selection/grid_selector.js b/web/pgadmin/static/js/selection/grid_selector.js
index 3a1aed21f..f7ef91563 100644
--- a/web/pgadmin/static/js/selection/grid_selector.js
+++ b/web/pgadmin/static/js/selection/grid_selector.js
@@ -42,18 +42,18 @@ define(['jquery',
       });
     };
 
-    var getColumnDefinitions = function (columnDefinitions) {
-      columnDefinitions = columnSelector.getColumnDefinitions(columnDefinitions);
-      columnDefinitions = rowSelector.getColumnDefinitions(columnDefinitions);
+    var getColumnDefinitions = function (columnDefinition) {
+      columnDefinition = columnSelector.getColumnDefinitions(columnDefinition);
+      columnDefinition = rowSelector.getColumnDefinitions(columnDefinition);
 
-      columnDefinitions[0].selectAllOnClick = true;
-      columnDefinitions[0].name = '<span data-id="select-all" ' +
+      columnDefinition[0].selectAllOnClick = true;
+      columnDefinition[0].name = '<span data-id="select-all" ' +
           'title="' + gettext('Select/Deselect All') + '">' +
           '<br>' +
-          columnDefinitions[0].name +
+          columnDefinition[0].name +
           '<img class="select-all-icon" src="' + url_for('static', {'filename': 'img/select-all-icon.png'}) + '"></img>' +
       '</span>';
-      return columnDefinitions;
+      return columnDefinition;
     };
 
     function handleSelectedRangesChanged(grid) {
diff --git a/web/pgadmin/static/vendor/backgrid/backgrid.js b/web/pgadmin/static/vendor/backgrid/backgrid.js
index b7224a268..19fb76c61 100644
--- a/web/pgadmin/static/vendor/backgrid/backgrid.js
+++ b/web/pgadmin/static/vendor/backgrid/backgrid.js
@@ -312,8 +312,8 @@ _.extend(NumberFormatter.prototype, {
 
     var decimalParts = rawData.split(this.decimalSeparator);
     rawData = '';
-    for (var i = 0; i < decimalParts.length; i++) {
-      rawData = rawData + decimalParts[i] + '.';
+    for (var j = 0; j < decimalParts.length; j++) {
+      rawData = rawData + decimalParts[j] + '.';
     }
 
     if (rawData[rawData.length - 1] === '.') {
@@ -1474,12 +1474,11 @@ var SelectCellEditor = Backgrid.SelectCellEditor = CellEditor.extend({
 
     var optionValue = null;
     var optionText = null;
-    var optionValue = null;
     var optgroupName = null;
     var optgroup = null;
 
     for (var i = 0; i < optionValues.length; i++) {
-      var optionValue = optionValues[i];
+      optionValue = optionValues[i];
 
       if (_.isArray(optionValue)) {
         optionText  = optionValue[0];
@@ -1637,7 +1636,7 @@ var SelectCell = Backgrid.SelectCell = Cell.extend({
 
           if (_.isArray(optionValue)) {
             var optionText  = optionValue[0];
-            var optionValue = optionValue[1];
+            optionValue = optionValue[1];
 
             if (optionValue == rawDatum) selectedText.push(optionText);
           }
